﻿.brand-logo {
    display: flex;
    align-items: stretch;
    height: 100%;
    width: 100%;
    color: white;
}

.smartkis-nav-logo {
    display: flex;
    width: 35%;
    color: white;
}

.w-100 {
    width: 100%;
}

.table-stack-width {
    width: 300px
}

.h-100 {
    height: 100%
}

.overflow-wrap-anywhere {
    overflow-wrap: anywhere;
}

.truncate-60 {
    width: 60px;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

.breadcrumb-items a {
    color: white;
}

ul.breadcrumb-items > li.mud-breadcrumb-separator > span {
    color: white;
    font-size: 1.7rem;
    font-weight: bold;
}

ul.breadcrumb-items > li.mud-breadcrumb-item.mud-disabled > a {
    color: lightgray;
}

.mud-form .mud-input-control {
    margin-top: 1.5rem;
}

.clickable-rows tr {
    cursor: pointer;
}

.selected-menu > .mud-nav-link{
    font-weight: bold;
}

.mud-container {
    padding-left: 1rem;
    padding-right: 1rem;
}

.overflow-visible {
    max-height: 50vh;
    width: 100%;
    overflow-y: visible;
    scrollbar-width: none;
    -ms-overflow-style: none;
}

.overflow {
    max-height: 50vh;
    width: 100%;
    overflow-y: scroll;
    scrollbar-width: none;
    -ms-overflow-style: none;
}


/* ------------------------- Drawer button ------------------------------- */
#right-drawer-toggle-button {
    position: fixed;
    bottom: 1rem;
    right: 1rem;
}

/* ------------------------- Button ------------------------------- */
.default-filled-btn {
    background-color: #004A96;
    color: white;
}

.default-filled-btn:hover, .mud-button-filled:focus-visible {
    box-shadow: 0 2px 4px -1px rgb(0 0 0 / 20%), 0 4px 5px 0 rgb(0 0 0 / 14%), 0 1px 10px 0 rgb(0 0 0 / 12%);
    background-color: #083bbd;
}

.default-text-btn {
    color: #004A96;
}

.default-icon-color {
    color: #21A0D2;
}

/* ------------------------- Datagrid footer ------------------------------- */
.hide-datagrid-footer {
    display: none !important;
}

.mud-table-container {
    min-height: 100px;
}

/* ------------------------- Datagrid Header ------------------------------- */
.sticky-datagrid-header {
    position: sticky;
    top: 0;
    background: white;
    z-index: 2;
}

/* ------------------------- Datagrid Toolbar Content ------------------------------- */
.hide-toolbar .mud-table-toolbar {
    display: none;
}


/* ------------------------- Authentication info footer ------------------------------- */
.authentication-info-footer {
    bottom: 1rem;
    font-size: .75rem;
    width: 100%;
}

/* ------------------------- List  ------------------------------- */

.list-bullet {
    list-style: inside;
    margin-top: 0.5rem;
}

.no-list-bullet {
    list-style: none;
    margin-top: 0.5rem;
}

/* ------------------------- CategoryEventChangeModal  ------------------------------- */

.eventChange-category-title-width {
    width: 40vh;
}


/* ------------------------- Mobile  ------------------------------- */

.select-popup-mobile {
    width: 100vh;
}

/* ------------------------- Alerts  ------------------------------- */

.alert-message-full-width .mud-alert-message {
    width: 100%;
}

/* ------------------------- Radio button  ------------------------------- */


.radio-group-align > .mud-input-control {
    margin-top: 0;
} 